com.singularsys.jepexamples.diagnostics

## Class ExamineResultTypes

- java.lang.Object
- - com.singularsys.jepexamples.diagnostics.ExamineResultTypes

-     public class ExamineResultTypes
      extends java.lang.Object

  Class to examine the results types of the various operators and function. Can be called with 1 argument to just test a function or operator with that name `java ExamineResultTypes sin` `java ExamineResultTypes +`
  Author:
    Richard Morris

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExamineResultTypes.ShortTypeCreator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExamineResultTypes(Jep jep, com.singularsys.jepexamples.diagnostics.ExamineResultTypes.TypeCreator[] types)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `examineTypes(java.lang.String name, PostfixMathCommandI pfmc)` Tests return types for a specific PostfixMathCommandI will test for 0,1,2 and 3 parameters
    `void` | `examineTypes(java.lang.String name, PostfixMathCommandI pfmc, int n)` Tests return types for a specific PostfixMathCommandI with a specific number of parameters
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExamineResultTypes

          public ExamineResultTypes(Jep jep,
                                    com.singularsys.jepexamples.diagnostics.ExamineResultTypes.TypeCreator[] types)

      Parameters:
        `jep` -
        `types` -

  - ### Method Detail

    - #### examineTypes

          public void examineTypes(java.lang.String name,
                                   PostfixMathCommandI pfmc)

      Tests return types for a specific PostfixMathCommandI will test for 0,1,2 and 3 parameters

    - #### examineTypes

          public void examineTypes(java.lang.String name,
                                   PostfixMathCommandI pfmc,
                                   int n)

      Tests return types for a specific PostfixMathCommandI with a specific number of parameters

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` -

Copyright © 2018 Singular Systems http://www.singularsys.com/jep